<?php
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Usuarios/clientes.php"); 
   encabezado2($target); 
		 class obtiene{
		  var $userObj;
		  function obtener($perfil){
					$this->userObj=new select_zonas();
				    $tabla=$this->userObj->get_tabla($_GET['suc']);
					$_SESSION['tabla_guia']=$tabla;
		  }
		  function arreglo($sql_consulta){
				$this->userObj=new select_zonas();
				$array=$this->userObj->get_array($sql_consulta);
				return $array;		
		}
	}
	$eliminaObj=new obtiene();
	$eliminaObj->obtener($suc);
	$tabla=$_SESSION['tabla_guia'];
	$id=$_GET['id'];
	$tipo=$_GET['tipo'];
	$pagina='ACTUALIZAR CLIENTE';
	if($tipo==2 && !isset($Ejecutar)){
		$read="readonly='readonly'";
		$pagina='ELIMINAR CLIENTE';
	}
	$sql_clientes="SELECT * FROM clientes WHERE id_cliente ='$id'";
	$array=$eliminaObj->arreglo($sql_clientes);
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: <? echo $pagina;?> ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
NIT:
</td>
<td width="150" class="miTable_td">
<input type="text" name="nit" value="<? echo $array[0][3]?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Nombre:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="hidden" name="id" value="<? echo $id?>" class="inputbox" size="25">
<input type="text" name="nombre" value="<? echo $array[0][2]?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Direccion:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="dir" value="<? echo $array[0][4]?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Telefono:</td>
<td width="150" class="miTable_td">
<input type="text" name="tel" value="<? echo $array[0][5]?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Fax:
</td>
<td width="150" class="miTable_td">
<input type="text" name="fax" value="<? echo $array[0][6]?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
E-mail:
</td>
<td width="150" class="miTable_td">
<input type="text" name="email" value="<? echo $array[0][7]?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Web Page:
</td>
<td width="150" class="miTable_td">
<input type="text" name="web" value="<? echo $array[0][8]?>" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Estado:
</td>
<td width="150" class="miTable_td">
<select name="est" class="inputbox">
<option value="1" <? if($array[0][9]==1){ echo 'selected';}?>>Activo</option>
<option value="0" <? if($array[0][9]==0){ echo 'selected';}?>>Inactivo</option>
</select>
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Ciudad:
</td>
<td width="150" class="miTable_td">
<select name="ciu" class="inputbox">
<?
class zona_ciudad{
	var $userObj;
		function get_ciu($ciudad){
		$this->userObj=new select_zonas();
		$this->userObj->option_ciudad($ciudad);
	    }
}
$zona_ciudadObj=new zona_ciudad();
$zona_ciudadObj->get_ciu($array[0][10]);
?>
</select>
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Sucursal:
</td>
<td width="150" class="miTable_td">
<select name="suc" class="inputbox">
<?
class sucursal{
	var $userObj;
		function get_sucursal($suc){
		$this->userObj=new select_zonas();
		$this->userObj->toma_sucursal($suc);
	    }
}
$sucursalObj=new sucursal();
$sucursalObj->get_sucursal($array[0][11]);
?>
</select>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<?
if($tipo==1){
print ('<input type="submit" name="Ejecutar" value="Actualizar" class="inputbox">');
}else{
print ('<input type="submit" name="Ejecutar" value="Eliminar" class="inputbox"> <input type="submit" value="Cancelar" name="Cancelar" onClick="javascript:window.close();" class="inputbox">');
print ('<script>document.backup.Cancelar.focus(); </script>');
}
?>
</div>
</td>
</tr>
</table>
</form>
</CENTER>
<?

if($tipo==1 && isset($Ejecutar)){
  
class ejecutaUsuario{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($id,$nit,$nombre,$direccion,$tel,$fax,$email,$web,$est,$ciu,$suc){
			 $_SESSION['desc']=$desc;
	  		 $this->consultarObj=new clientes();
	  		 $this->consultarObj->setId_cliente($id);
			 $this->consultarObj->setNombre($nombre);
			 $this->consultarObj->setNit($nit);
			 $this->consultarObj->setDireccion($direccion);
			 $this->consultarObj->setTelefono($tel);
			 $this->consultarObj->setFax($fax);
			 $this->consultarObj->setEmail($email);
			 $this->consultarObj->setWebpage($web);
			 $this->consultarObj->setEstado($est);
			 $this->consultarObj->setCod_ciudad($ciu);
			 $this->consultarObj->setSucursal($suc);
	}
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM clientes WHERE id_cliente='".$this->consultarObj->getId_cliente()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$id=$this->consultarObj->getId_cliente();
				$nombre=$this->consultarObj->getNombre();
				$nit=$this->consultarObj->getNit();
				$direccion=$this->consultarObj->getDireccion();
				$tel=$this->consultarObj->getTelefono();
				$fax=$this->consultarObj->getFax();
				$email=$this->consultarObj->getEmail();
				$web=$this->consultarObj->getWebpage();
				$est=$this->consultarObj->getEstado();
				$ciu=$this->consultarObj->getCod_ciudad();
				$suc=$this->consultarObj->getSucursal();
				$this->modificarSucursal($id,$nit,$nombre,$direccion,$tel,$fax,$email,$web,$est,$ciu,$suc);
			}else{
				$msgBOX2 = "No Se Encontro Cliente.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	function modificarSucursal($id,$nit,$nombre,$direccion,$tel,$fax,$email,$web,$est,$ciu,$suc){
			$rst_modificar=$this->conexionObj->consultar("UPDATE clientes SET nit = '".$nit."', nombre = '".$nombre."', direccion = '".$direccion."', telefono = '".$tel."', fax = '".$fax."', mail = '".$email."', webpage = '".$web."', estado = '".$est."', id_ciudad = '".$ciu."', id_sucursal = '".$suc."' WHERE id_cliente = ".$id."");
			$affected_modificar=mysql_affected_rows();
			if($affected_modificar>=1){
				$msgBOX2 = "Se Actualizo Cliente.";
				echo "<script>
	             	  opener.document.location.reload();
					  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
				$msgBOX2 = "No Se Pudo Actualizar Cliente.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}

	}
	
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$ejecutaUsuarioObj=new ejecutaUsuario();

// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$ejecutaUsuarioObj->setConsultar($_POST['id'],$_POST['nit'],$_POST['nombre'],$_POST['dir'],$_POST['tel'],$_POST['fax'],$_POST['email'],$_POST['web'],$_POST['est'],$_POST['ciu'],$_POST['suc']);

// LAMANDO EL METODO DE NEGOCIO
$ejecutaUsuarioObj->validar();
  
}elseif($tipo==2 && isset($Ejecutar)){

class quitarSucursal{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($id){
	  		 $this->consultarObj=new clientes();
	  		 $this->consultarObj->setId_cliente($id);
	}
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM clientes WHERE id_cliente='".$this->consultarObj->getId_cliente()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$id=$this->consultarObj->getId_cliente();
				$this->eliminarCliente($id);
			}else{
				$msgBOX2 = "No Se Encontro Cliente.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	function eliminarCliente($id){
			$rst_modificar=$this->conexionObj->consultar("DELETE FROM clientes WHERE id_cliente = ".$id."");
			$affected_modificar=mysql_affected_rows();
			if($affected_modificar>=1){
				$msgBOX2 = "Se Elimino Cliente.";
				echo "<script>
	             	  opener.document.location.reload();
					  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
				$msgBOX2 = "No Se Pudo Eliminar Cliente.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}

	}
	
}// FIN DE LA CLASE ELIMINARFUNCIONALIDAD
// CREACION DEL OBJETO
$quitarSucursalObj=new quitarSucursal();

// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$quitarSucursalObj->setConsultar($_POST['id']);

// LAMANDO EL METODO DE NEGOCIO
$quitarSucursalObj->validar();
  
}
echo"<table width=300 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
      echo"<td></td>";
    echo"</tr>";
	echo"<tr>";
	?>
<td>
<CENTER>
<?
        pie_de_pagina();
        ?>
</CENTER>
</td>
	<?php
    echo"</tr>";
  echo"</tbody></table>";

   echo"</body>";
   echo"</html>";
?>